/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package ch02_locator;

import helper.TestHelper;
import org.junit.*;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;

import java.util.List;

/**
 *
 * @author Administrator
 */
public class LocatorTest {

    static WebDriver driver = new ChromeDriver();
    
    @BeforeClass
    public static void beforeAll() throws Exception {
    }

    @Before
    public void before() throws Exception {
        driver.get(TestHelper.siteUrl()  + "locators.html");
    }

    @Test
    public void testByID() throws Exception {
        driver.findElement(By.id("submit_btn")).click();
    }

    @Test
    public void testByName() throws Exception {
        driver.findElement(By.name("comment")).sendKeys("Selenium Cool");
    }

    @Test
    public void testByLinkedText() throws Exception {
        driver.findElement(By.linkText("Cancel")).click();
    }


    @Test
    public void testByPartialLinkedText() throws Exception {
        // will click the "Cancel" link
        driver.findElement(By.partialLinkText("ance")).click();
    }
    
    @Test
    public void testByXPath() throws Exception {
        driver.findElement(By.xpath("//*[@id='div2']/input[@type='checkbox']")).click();
    }
    
    @Test
    public void testByTag() throws Exception {
        assert driver.findElement(By.tagName("body")).getText().contains("Selenium Locators");
    }

    
    @Test
    public void testByClassName() throws Exception {  
        driver.findElement(By.className("btn-primary")).click();        
        Thread.sleep(1000);
        driver.findElement(By.className("btn")).click();
    
        // the below will return error "Compound class names not permitted"
        // driver.findElement(By.className("btn btn-deault btn-primary")).click()
    }
  
    @Test
    public void testByCSSSelector() throws Exception {    
        driver.findElement(By.cssSelector("#div2 > input[type='checkbox']")).click();
    }
  
    @Test
    public void testChainFindElementToFindChildElements() throws Exception {    
        driver.findElement(By.id("div2")).findElement(By.name("same")).click();
    }
  
    @Test
    public void testFindMultipleElements() throws Exception {     
        List<WebElement> checkbox_elems = driver.findElements(By.xpath("//div[@id='container']//input[@type='checkbox']"));
        System.out.println(checkbox_elems); // => 2
        checkbox_elems.get(1).click();
    }
    
    @After
    public void after() throws Exception {
    }

    @AfterClass
    public static void afterAll() throws Exception {
         driver.quit();
    }
}
