package helper;

public class TestHelper {

    private static String OS = System.getProperty("os.name").toLowerCase();

    public static boolean isWindows() {
        return OS.contains("win");
    }

    public static boolean isMac() {
        return OS.contains("mac");
    }

    public static boolean isUnix() {
        return (OS.contains("nix") || OS.contains("nux")  || OS.contains("aix") );
    }

    public static String siteUrl() {
        // Download the site zip files from the book site
        // Unzip to your local folder and update the code below accordingly
        if (isWindows()) {
            return "file:///C:/agileway/books/SeleniumRecipes-Java/site/";
        } else if (isMac()) {
            return "file:///Users/zhimin/work/books/SeleniumRecipes-Java/site/";
        } else if (isUnix()) {
            return "file:///home/zhimin/work/books/SeleniumRecipes-Java/site/";
        } else {
            throw new RuntimeException("Your OS is not support!!");
        }
    }
    
    public static String scriptDir() {
        if (isWindows()) {
            return "C:\\agileway\\books\\SeleniumRecipes-Java\\recipes";
        } else if (isMac()) {
            return "/Users/zhimin/work/books/SeleniumRecipes-Java/recipes";
        } else if (isUnix()) {
            return "/home/zhimin/work/books/SeleniumRecipes-Java/recipes";
        } else {
            throw new RuntimeException("Your OS is not support!!");
        }
    }

    public static String tempDir() {
        if (isWindows()) {
            return "C:\\temp";
        } else if (isMac()) {
            return "/tmp";
        } else if (isUnix()) {
            return "/tmp";
        } else {
            throw new RuntimeException("Your OS is not support!!");
        }
    }

}
